Loading...
Searching...
No Matches
BALL::PTE_ Class Reference

`#include <BALL/KERNEL/PTE.h>`

## Classes

struct | SymbolToElement

## Public Member Functions

Constructors and Destructors
| PTE_ ()
| PTE_ (const PTE_ &pse)
virtual | ~PTE_ ()
virtual void | clear ()
Assignment
PTE_ & | operator= (const PTE_ &)
Operators
bool | operator== (const PTE_ &pte) const
Element & | operator[] (const String &symbol)
const Element & | operator[] (const String &symbol) const
Element & | operator[] (Element::Name name)
const Element & | operator[] (Element::Name name) const
Element & | operator[] (Element::Symbol symbol)
const Element & | operator[] (Element::Symbol symbol) const
Element & | operator[] (Position position)
const Element & | operator[] (Position position) const

## Static Public Member Functions

Accessors
static Element & | getElement (Position atomic_number)
static Element & | getElement (const String &symbol)

## Application methods

static bool | apply (UnaryProcessor< Element > &applicator)

## Detailed Description

Periodic Table of Elements Class

Definition at line 651 of file PTE.h.

## Constructor & Destructor Documentation

## PTE_() [1/2]

BALL::PTE_::PTE_ | ( |  | ) |

Default constructor

## PTE_() [2/2]

BALL::PTE_::PTE_ | ( | const PTE_ & | pse | ) |

Default constructor

## ~PTE_()

virtual BALL::PTE_::~PTE_ | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## apply()

bool BALL::PTE_::apply | ( | UnaryProcessor< Element > & | applicator | ) |

static

Application of an unary processor on every contained element.

Parameters

  processor | a typed unary processor for Element instances

Returns
  bool - true if application has been terminated successfully, false otherwise

## clear()

virtual void BALL::PTE_::clear | ( |  | ) |

virtual

Clear method.

## getElement() [1/2]

Element & BALL::PTE_::getElement | ( | const String & | symbol | ) |

static

Return the element with a given symbol.

Returns
  Element the static Element with the symbol symbol

## getElement() [2/2]

Element & BALL::PTE_::getElement | ( | Position | atomic_number | ) |

static

Return the element that has the specified atomic number.

## operator=()

PTE_ & BALL::PTE_::operator= | ( | const PTE_ & |  | ) |

Assignment operator Does not assign anything. Implemented just for the OCI.

## operator==()

bool BALL::PTE_::operator== | ( | const PTE_ & | pte | ) | const

Equality operator. Always returns true. Implemented just for the OCI.

## operator[]() [1/8]

Element & BALL::PTE_::operator[] | ( | const String & | symbol | ) |

Access operator with a given symbol.

Returns
  Element the Element with the symbol symbol

## operator[]() [2/8]

const Element & BALL::PTE_::operator[] | ( | const String & | symbol | ) | const

Access operator with a given symbol.

Returns
  Element the const Element with the symbol symbol

## operator[]() [3/8]

Element & BALL::PTE_::operator[] | ( | Element::Name | name | ) |

Access operator with a given name.

Returns
  Element the Element with the name name

## operator[]() [4/8]

const Element & BALL::PTE_::operator[] | ( | Element::Name | name | ) | const

Access operator with a given name.

Returns
  Element the const Element with the name name

## operator[]() [5/8]

Element & BALL::PTE_::operator[] | ( | Element::Symbol | symbol | ) |

Access operator with a given Element::Symbol.

Returns
  Element the Element with the symbol symbol

## operator[]() [6/8]

const Element & BALL::PTE_::operator[] | ( | Element::Symbol | symbol | ) | const

Access operator with a given Element::Symbol.

Returns
  Element the const Element with the symbol symbol

## operator[]() [7/8]

Element & BALL::PTE_::operator[] | ( | Position | position | ) |

Access operator with a given position.

Returns
  Element the Element with the position position

## operator[]() [8/8]

const Element & BALL::PTE_::operator[] | ( | Position | position | ) | const

Access operator with a given position.

Returns
  Element the const Element with the position position